CON

  _clkmode        = xtal1 + pll8x
  _xinfreq        = 10_000_000

VAR

  long pixels[32], stats 
  word pixaddr

OBJ

  clk   : "clkset"
  lin   : "tsl1401-db_driver"
  sio   : "FullduplexSerial"

PUB start | i

  clk.set
  lin.start
  sio.start(31, 30, 0, 38400)
  repeat
    lin.snap
    lin.getpix(@pixels)
    stats := lin.getstats
    sio.tx(0)
    sio.str(string("1401", 13))   'String for receiver to sync on.
    repeat i from 0 to 127
      sio.tx(byte[@pixels][i])
      
      